Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 2493923002: Select-to-speak event handler (Closed)

Created:
3 years, 9 months ago by dmazzoni
Modified:
3 years, 8 months ago
Reviewers:
David Tseng, sky
CC:
chromium-reviews, extensions-reviews_chromium.org, sadrul, oshima+watch_chromium.org, aboxhall+watch_chromium.org, nektar+watch_chromium.org, yuzo+watch_chromium.org, je_julie, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org, chromium-apps-reviews_chromium.org, kalyank, davemoore+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Select-to-speak event handler This change implements the key C++ portion of the Select-to-speak feature by adding an event handler that takes Search plus the mouse button, and fires accessibility events instead. In the future we could modify or extend this event handler for use in ChromeVox too, but for now I think building something specifically for Select-to-speak makes sense. Adds new accessibility events for mouse down, mouse up, and so on - allowing the select-to-speak extension to get not only the mouse events and global coordinates, but most importantly the proper accessibility object that's hit for each event. This change implements support for hit testing in Views. For web, the extension will get the event fired on the views::WebView and it can do its own hit testing within the accessibility tree from there. A follow-up will improve on this by doing native hit testing in the web before firing the accessibility event. BUG=593887 Committed: https://crrev.com/735c79df7859362bd059b5c233286910eff25ef9 Cr-Commit-Position: refs/heads/master@{#434744}

Patch Set 1 #

Total comments: 8

Patch Set 2 : Reject search plus key #

Total comments: 4

Patch Set 3 : Update comment #

Patch Set 4 : Add TestAccessibilityEventDelegate #

Patch Set 5 : Fix presubmit warning #

Unified diffs Side-by-side diffs Delta from patch set Stats (+539 lines, -20 lines) Patch
M ash/test/ash_test_environment.h View 1 2 3 2 chunks +3 lines, -5 lines 0 comments Download
M ash/test/ash_test_environment_content.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ash/test/ash_test_environment_content.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ash/test/ash_test_environment_default.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ash/test/ash_test_helper.h View 1 2 3 4 4 chunks +3 lines, -5 lines 0 comments Download
M ash/test/ash_test_views_delegate.h View 1 2 3 2 chunks +19 lines, -0 lines 0 comments Download
M ash/test/ash_test_views_delegate.cc View 1 2 3 2 chunks +11 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/BUILD.gn View 1 2 2 chunks +3 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/accessibility/accessibility_manager.h View 1 2 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/accessibility/accessibility_manager.cc View 1 2 2 chunks +4 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h View 1 2 1 chunk +62 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc View 1 1 chunk +155 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/accessibility/select_to_speak_event_handler_unittest.cc View 1 2 3 1 chunk +252 lines, -0 lines 0 comments Download
M chrome/browser/ui/aura/accessibility/automation_manager_aura.h View 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/browser/ui/aura/accessibility/automation_manager_aura.cc View 1 2 3 4 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/common/extensions/api/automation.idl View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/test/base/ash_test_environment_chrome.h View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/test/base/ash_test_environment_chrome.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ui/accessibility/ax_enums.idl View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 35 (21 generated)
dmazzoni
3 years, 9 months ago (2016-11-10 22:06:04 UTC) #4
David Tseng
https://codereview.chromium.org/2493923002/diff/1/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc File chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc (right): https://codereview.chromium.org/2493923002/diff/1/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc#newcode39 chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc:39: state_ = INACTIVE; Should you set state to inactive ...
3 years, 9 months ago (2016-11-11 19:18:30 UTC) #7
dmazzoni
https://codereview.chromium.org/2493923002/diff/1/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc File chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc (right): https://codereview.chromium.org/2493923002/diff/1/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc#newcode39 chrome/browser/chromeos/accessibility/select_to_speak_event_handler.cc:39: state_ = INACTIVE; On 2016/11/11 19:18:30, David Tseng wrote: ...
3 years, 9 months ago (2016-11-14 22:11:42 UTC) #8
David Tseng
lgtm https://codereview.chromium.org/2493923002/diff/20001/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h File chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h (right): https://codereview.chromium.org/2493923002/diff/20001/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h#newcode29 chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h:29: // The Search key is not held down ...
3 years, 8 months ago (2016-11-22 00:33:58 UTC) #9
dmazzoni
https://codereview.chromium.org/2493923002/diff/20001/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h File chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h (right): https://codereview.chromium.org/2493923002/diff/20001/chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h#newcode29 chrome/browser/chromeos/accessibility/select_to_speak_event_handler.h:29: // The Search key is not held down and ...
3 years, 8 months ago (2016-11-22 17:49:49 UTC) #10
dmazzoni
@sky: could you take a look at the unit test? I'd like to create a ...
3 years, 8 months ago (2016-11-22 21:38:39 UTC) #16
sky
On 2016/11/22 21:38:39, dmazzoni wrote: > @sky: could you take a look at the unit ...
3 years, 8 months ago (2016-11-22 22:52:21 UTC) #17
dmazzoni
On 2016/11/22 22:52:21, sky wrote: > That, or create an ash specific delegate (test only) ...
3 years, 8 months ago (2016-11-23 23:03:47 UTC) #19
sky
LGTM
3 years, 8 months ago (2016-11-23 23:58:18 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2493923002/60001
3 years, 8 months ago (2016-11-28 07:50:42 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/313366)
3 years, 8 months ago (2016-11-28 07:56:37 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2493923002/80001
3 years, 8 months ago (2016-11-28 17:44:33 UTC) #31
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 8 months ago (2016-11-28 22:40:11 UTC) #33
commit-bot: I haz the power
3 years, 8 months ago (2016-11-28 22:44:22 UTC) #35
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/735c79df7859362bd059b5c233286910eff25ef9
Cr-Commit-Position: refs/heads/master@{#434744}

Powered by Google App Engine
This is Rietveld 408576698